[maven-site] branch master updated: WIP only on next level

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[maven-site] branch master updated: WIP only on next level

hboutemy
This is an automated email from the ASF dual-hosted git repository.

hboutemy pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/maven-site.git


The following commit(s) were added to refs/heads/master by this push:
     new 08d4364  WIP only on next level
08d4364 is described below

commit 08d436427676e2f277ce5ab389a563bdda2dca9f
Author: Hervé Boutemy <[hidden email]>
AuthorDate: Sat May 23 09:39:50 2020 +0200

    WIP only on next level
---
 content/apt/developers/compatibility-plan.apt | 26 +++++++++++++-------------
 1 file changed, 13 insertions(+), 13 deletions(-)

diff --git a/content/apt/developers/compatibility-plan.apt b/content/apt/developers/compatibility-plan.apt
index 5942415..5eb5693 100644
--- a/content/apt/developers/compatibility-plan.apt
+++ b/content/apt/developers/compatibility-plan.apt
@@ -28,15 +28,13 @@
 
 Maven Compatibility Plan
 
-  Work In Progress...
-
 * Scope
 
   This page describes the plan on:
 
-  [[1]] minimum <<Java>> requirement for Maven components and plugins runtime,
+  [[1]] minimum <<Java>> runtime prerequisite for Maven components and plugins,
 
-  [[2]] minimum <<Maven>> requirement for plugins runtime.
+  [[2]] minimum <<Maven>> runtime prerequisite for plugins.
 
   []
 
@@ -44,27 +42,29 @@ Maven Compatibility Plan
 
 * Maven Plan
 
-  * Until 2012?, Maven 2.2.1 + Java 5 prerequisites, with plugins versions in 2.x
+  * Until 2012 (?), Maven 2.2.1 + Java 5 prerequisites, with plugins versions in 2.x
 
-  * Since 2012?, Maven 3.0 + Java 7 prerequisites, with plugins in 3.x
+  * Since 2012 (?), Maven 3.0 + Java 7 prerequisites, with plugins in 3.0
 
-  * discussions on Maven > 3.0.x (3.1 or 3.2 or 3.3? details still TDB) + Java 8 prerequisites
+  * (WIP) discussions on Maven > 3.0.x (3.1 or 3.2 or 3.3? details still TDB) + Java 8 prerequisites
 
   []
 
 * Context
 
-  * Maven core Java requirement history is visible in the {{{/docs/history.html}release notes}}
+  * Maven core history with Java prerequisite is available in the {{{/docs/history.html}release notes}}
+
+  * JDK/JRE availability dates:
 
-  * JDK/JRE support dates:
+    * Java 5 (2004) is closed source, End of Public Update in 2009
 
-    * Java 5 is closed source, End of Public Update in 2009
+    * Java 6 (2006) is Open Source, maintained at OpenJDK until ...
 
-    * Java 6 is Open Source, maintained at OpenJDK until ...
+    * Java 7 (2011) is Open Source, maintained at OpenJDK at least until June 2020
 
-    * Java 7 is Open Source, maintained at OpenJDK at least until June 2020
+    * Java 8 (2014) is Open Source, maintained at OpenJDK at least until September 2023
 
-    * Java 8 is Open Source, maintained at OpenJDK at least until September 2023
+    * Java 11 (LTS, 2019) is Open Source, maintained at OpenJDK at least until ...
 
     * see {{{https://docs.google.com/document/d/1nFGazvrCvHMZJgFstlbzoHjpAVwv5DEdnaBr_5pKuHo}Java Is Still Free}}